require 'jira-ruby'

module Watch
  module Keeper
    class Jira
      def initialize(settings)
        @client = JIRA::Client.new(settings)
      end

      def report(project_id, issue_type, summary)
        project = find_project(project_id)
        issue = @client.Issue.build
        template = {
          "fields" => {
            "project" => { "id" => project_id },
            "issuetype" => { "id" => issue_type },
            "summary" => summary
          }
        }
        issue.save(template)
      end

      private

      def find_project(project_id)
        return @client.Project.find(project_id)
      end
    end
  end
end
